SaslOutputStream (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.SaslOutputStream,SaslOutputStream class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class SaslOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--gnu.crypto.sasl.SaslOutputStream

public class SaslOutputStream
extends java.io.OutputStream

An output stream that uses either a `SaslClient` or a `SaslServer` to process the data through these entities' security layer filter(s).

Constructor Summary
`SaslOutputStream(SaslClient client, java.io.OutputStream dest)`
`SaslOutputStream(SaslServer server, java.io.OutputStream dest)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] b, int off, int len)` When writing octets to the resulting stream, if a security layer has been negotiated, each piece of data written (by a single invocation of `write()`) will be encapsulated as a SASL buffer, as defined in RFC 2222, and then written to the underlying dest output stream.
`void` | `write(int b)` When writing octets to the resulting stream, if a security layer has been negotiated, each piece of data written (by a single invocation of `write()`) will be encapsulated as a SASL buffer, as defined in RFC 2222, and then written to the underlying dest output stream.

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaslOutputStream

    public SaslOutputStream(SaslClient client,
                            java.io.OutputStream dest)
                     throws java.io.IOException

### SaslOutputStream

    public SaslOutputStream(SaslServer server,
                            java.io.OutputStream dest)
                     throws java.io.IOException

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.OutputStream`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  When writing octets to the resulting stream, if a security layer has been negotiated, each piece of data written (by a single invocation of `write()`) will be encapsulated as a SASL buffer, as defined in RFC 2222, and then written to the underlying dest output stream.

  Specified by:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  When writing octets to the resulting stream, if a security layer has been negotiated, each piece of data written (by a single invocation of `write()`) will be encapsulated as a SASL buffer, as defined in RFC 2222, and then written to the underlying dest output stream.

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.